package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ComplaintCountSyncCollection extends AbstractObjectCollection 
{
    public ComplaintCountSyncCollection()
    {
        super(ComplaintCountSyncInfo.class);
    }
    public boolean add(ComplaintCountSyncInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ComplaintCountSyncCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ComplaintCountSyncInfo item)
    {
        return removeObject(item);
    }
    public ComplaintCountSyncInfo get(int index)
    {
        return(ComplaintCountSyncInfo)getObject(index);
    }
    public ComplaintCountSyncInfo get(Object key)
    {
        return(ComplaintCountSyncInfo)getObject(key);
    }
    public void set(int index, ComplaintCountSyncInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ComplaintCountSyncInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ComplaintCountSyncInfo item)
    {
        return super.indexOf(item);
    }
}